> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Counterparty

> Update a counterparty



## OpenAPI

````yaml api-reference/banking-api/openapi.json PUT /banking/counterparties/{id}
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/counterparties/{id}:
    put:
      tags:
        - counterparties
      summary: Update counterparty limit
      description: Update a counterparty limit
      operationId: TrioFoundationWeb.Banking.CounterpartyController.update
      parameters:
        - description: Counterparty ID
          in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Update_counterparty_limits_params'
        description: The update counterparty limit attributes
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Counterparty_limits_response'
          description: CounterpartyLimits
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    Update_counterparty_limits_params:
      description: Body params to update counterparty limits
      example:
        bank_account_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bb888
        document_type: pix
        maximum_amount: 10
      properties:
        bank_account_id:
          $ref: '#/components/schemas/UUID'
        document_type:
          $ref: '#/components/schemas/Document_type_of_the_counterparty_limits'
        maximum_amount:
          description: Counterparty maximum amount
          type: integer
      required:
        - bank_account_id
        - document_type
        - maximum_amount
      title: Update counterparty limits params
      type: object
    Counterparty_limits_response:
      description: Response to counterparty
      example:
        data:
          bank_account_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bb888
          company_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bb777
          counterparty_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bb999
          document_type: pix
          id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
          inserted_at: '2024-02-23 16:44:50.840632Z'
          maximum_amount:
            amount: 10
            currency: BRL
          updated_at: '2024-02-23 16:44:50.840632Z'
      properties:
        data:
          $ref: '#/components/schemas/Counterparty_limits_params'
      title: Counterparty limits response
      type: object
    Document_type_of_the_counterparty_limits:
      description: Document type of the counterparty
      items:
        enum:
          - pix
          - boleto
          - ted
          - tef
          - utility
          - tax
          - internal
        type: string
      title: Document type of the counterparty limits
      type: string
    Counterparty_limits_params:
      description: Body params to counterparty limits
      example:
        bank_account_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bb888
        company_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bb777
        counterparty_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bb999
        document_type: pix
        id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
        inserted_at: '2024-02-23 16:44:50.840632Z'
        maximum_amount:
          amount: 10
          currency: BRL
        updated_at: '2024-02-23 16:44:50.840632Z'
      properties:
        bank_account_id:
          description: Bank account ID
          type: string
        company_id:
          $ref: '#/components/schemas/UUID'
        counterparty_id:
          description: Counterparty ID
          type: string
        document_type:
          $ref: '#/components/schemas/Document_type_of_the_counterparty_limits'
        id:
          $ref: '#/components/schemas/UUID'
        inserted_at:
          description: Inserted at
          format: date-time
          type: string
        maximum_amount:
          description: Counterparty maximum amount
          type: object
        updated_at:
          description: Updated at
          format: date-time
          type: string
      title: Counterparty limits params
      type: object

````